{
  "description": "Pages hand-picked for 2012 CrOS scrolling tuning efforts.",
  "archive_data_file": "data/top_25.json",
  "credentials_path": "data/credentials.json",
  "user_agent_type": "desktop",
  "smoothness": { "action": "scroll" },
  "pages": [
    {
      "url": "https://www.google.com/#hl=en&q=barack+obama",
      "why": "top google property; a google tab is often open",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "condition": "element", "text": "Next" }
      ],
      "stress_memory": [
        { "action": "scroll" },
        { "action": "click_element", "text": "Next" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Next" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Next" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Next" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Next" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Previous" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Previous" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Previous" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Previous" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Previous" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Previous" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Images" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Images" },
        { "action": "wait", "condition": "href_change" },
        { "action": "wait", "condition": "element", "text": "Images" }
      ]
    },
    {
      "url": "https://mail.google.com/mail/",
      "why": "productivity, top google properties",
      "credentials": "google",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "javascript": "window.gmonkey !== undefined && document.getElementById('gb') !== null" }
      ],
      "smoothness": {
        "action": "scroll",
        "scrollable_element_function": "function(callback) { gmonkey.load('2.0', function(api) { callback(api.getScrollableElement()); }); }"
      },
      "stress_memory": [
        { "action": "click_element", "selector": "a[href=\"https://mail.google.com/mail/u/0/?shva=1#starred\"]" },
        { "action": "wait", "condition": "href_change" },
        { "action": "click_element", "selector": "a[href=\"https://mail.google.com/mail/u/0/?shva=1#inbox\"]" },
        { "action": "wait", "condition": "href_change" }
      ]
    },
    {
      "url": "https://www.google.com/calendar/",
      "why": "productivity, top google properties",
      "credentials": "google",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "seconds":  2 },
        { "action": "wait", "condition": "element", "selector":  "div[class~=\"navForward\"]" },
        { "action": "javascript", "expression": "(function() { var elem = document.createElement('meta');elem.name='viewport';elem.content='initial-scale=1';document.body.appendChild(elem); })();" }
      ],
      "smoothness": {
        "action": "scroll",
        "scrollable_element_function": "function(callback) { callback(document.getElementById('scrolltimedeventswk')); }"
      },
      "stress_memory": [
        { "action": "click_element", "selector": "div[class~=\"navForward\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navForward\"]" },
        { "action": "click_element", "selector": "div[class~=\"navForward\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navForward\"]" },
        { "action": "click_element", "selector": "div[class~=\"navForward\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navForward\"]" },
        { "action": "click_element", "selector": "div[class~=\"navForward\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navBack\"]" },
        { "action": "click_element", "selector": "div[class~=\"navBack\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navBack\"]" },
        { "action": "click_element", "selector": "div[class~=\"navBack\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navBack\"]" },
        { "action": "click_element", "selector": "div[class~=\"navBack\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navBack\"]" },
        { "action": "click_element", "selector": "div[class~=\"navBack\"]" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "selector": "div[class~=\"navBack\"]" }
      ]
    },
    {
      "url": "https://www.google.com/search?q=cats&tbm=isch",
      "why": "tough image case; top google properties",
      "credentials": "google"
    },
    {
      "name": "Docs  (1 open document tab)",
      "url": "https://docs.google.com/document/d/1X-IKNjtEnx-WW5JIKRLsyhz5sbsat3mfTpAPUSX3_s4/view",
      "why": "productivity, top google properties; Sample doc in the link",
      "credentials": "google",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "javascript": "document.getElementsByClassName('kix-appview-editor').length" }
      ],
      "smoothness": {
        "action": "scroll",
        "scrollable_element_function": "function(callback) { callback(document.getElementsByClassName('kix-appview-editor')[0]); }"
      }
    },
    {
      "url": "https://plus.google.com/110031535020051778989/posts",
      "why": "social; top google property; Public profile; infinite scrolls",
      "credentials": "google",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "condition": "element", "text": "Home" }
      ],
      "smoothness": {
        "action": "scroll",
        "scroll_is_infinite": true
      },
      "stress_memory": [
        { "action": "click_element", "text": "Home" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "text": "Profile" },
        { "action": "click_element", "text": "Profile" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "text": "Explore" },
        { "action": "click_element", "text": "Explore" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "text": "Events" },
        { "action": "click_element", "text": "Events" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "text": "Communities" },
        { "action": "click_element", "text": "Communities" },
        { "action": "wait", "seconds": 2 },
        { "action": "wait", "condition": "element", "text": "Home" }
      ]
    },
    {
      "url": "http://www.youtube.com",
      "why": "#3 (Alexa global)",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "seconds": 2 }
      ],
      "credentials": "google"
    },
    {
      "name": "Blogger",
      "url": "http://googlewebmastercentral.blogspot.com/",
      "why": "#11 (Alexa global), google property; some blogger layouts have infinite scroll but more interesting",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "condition": "element", "text": "accessibility" }
      ],
      "stress_memory": [
        { "action": "click_element", "text": "accessibility" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" },
        { "action": "click_element", "text": "advanced" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" },
        { "action": "click_element", "text": "beginner" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Home" },
        { "action": "wait", "condition": "navigate" }
      ]
    },
    {
      "name": "Wordpress",
      "url": "http://en.blog.wordpress.com/2012/09/04/freshly-pressed-editors-picks-for-august-2012/",
      "why": "#18 (Alexa global), Picked an interesting post",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "condition": "element", "selector": "a[href=\"http://en.blog.wordpress.com/2012/08/30/new-themes-able-and-sight/\"]" }
      ],
      "stress_memory": [
        { "action": "scroll" },
        { "action": "click_element", "selector": "a[href=\"http://en.blog.wordpress.com/2012/08/30/new-themes-able-and-sight/\"]" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" },
        { "action": "click_element", "text": "Features" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" },
        { "action": "click_element", "text": "News" },
        { "action": "wait", "condition": "navigate" },
        { "action": "scroll" }
      ]
    },
    {
      "name": "Facebook",
      "url": "http://www.facebook.com/barackobama",
      "why": "top social,Public profile",
      "credentials": "facebook",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "condition": "element", "text": "About" }
      ],
      "smoothness": {
        "action": "scroll",
        "scroll_is_infinite": true
      },
      "stress_memory": [
        { "action": "click_element", "text": "About" },
        { "action": "wait", "condition": "navigate" },
        { "action": "click_element", "text": "The Audacity of Hope" },
        { "action": "wait", "condition": "navigate" },
        { "action": "click_element", "text": "Back to Barack Obama's Timeline" },
        { "action": "wait", "condition": "navigate" },
        { "action": "click_element", "text": "About" },
        { "action": "wait", "condition": "navigate" },
        { "action": "click_element", "text": "Elected to U.S. Senate" },
        { "action": "wait", "condition": "navigate" },
        { "action": "click_element", "text": "Home" },
        { "action": "wait", "condition": "navigate" }
      ]
    },
    {
      "name": "LinkedIn",
      "url": "http://www.linkedin.com/in/linustorvalds",
      "why": "#12 (Alexa global),Public profile"
    },
    {
      "name": "Wikipedia (1 tab)",
      "url": "http://en.wikipedia.org/wiki/Wikipedia",
      "why": "#6 (Alexa) most visited worldwide,Picked an interesting page"
    },
    {
      "name": "Twitter",
      "url": "https://twitter.com/katyperry",
      "why": "#8 (Alexa global),Picked an interesting page",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "seconds": 2 }
      ],
      "smoothness": {
        "action": "scroll",
        "scroll_is_infinite": true
      }
    },
    {
      "name": "Pinterest",
      "url": "http://pinterest.com",
      "why": "#37 (Alexa global)",
      "smoothness": {
        "action": "scroll",
        "scroll_is_infinite": true
      }
    },
    {
      "name": "ESPN",
      "url": "http://espn.go.com",
      "why": "#1 sports",
      "smoothness": {
        "action": "scroll",
        "left_start_percentage": 0.1
      }
    },
    {
      "url": "http://news.yahoo.com",
      "why": "#1 news worldwide (Alexa global)"
    },
    {
      "url": "http://www.cnn.com",
      "why": "#2 news worldwide"
    },
    {
      "name": "Weather.com",
      "url": "http://www.weather.com/weather/right-now/Mountain+View+CA+94043",
      "why": "#7 (Alexa news); #27 total time spent,Picked interesting page"
    },
    {
      "url": "http://www.amazon.com",
      "why": "#1 world commerce website by visits; #3 commerce in the US by time spent"
    },
    {
      "url": "http://www.ebay.com",
      "why": "#1 commerce website by time spent by users in US"
    },
    {
      "url": "http://games.yahoo.com",
      "why": "#1 games according to Alexa (with actual games in it)",
      "navigate_steps" : [
        { "action": "navigate" },
        { "action": "wait", "seconds": 2 }
      ]
    },
    {
      "url": "http://booking.com",
      "why": "#1 Alexa recreation"
    },
    {
      "url": "http://answers.yahoo.com",
      "why": "#1 Alexa reference"
    },
    {
      "url": "http://sports.yahoo.com/",
      "why": "#1 Alexa sports"
    },
    {
      "url": "http://techcrunch.com",
      "why": "top tech blog"
    }
  ]
}
